<ion-content>
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-menu-button></ion-menu-button>
        </ion-buttons>
        <ion-item>
            <ion-label>{{ 'Transactions' | translate }}</ion-label>
        </ion-item>
    </ion-toolbar>

    <ion-refresher slot="fixed" (ionRefresh)="onRefresh($event)">
        <ion-refresher-content pullingIcon="arrow-down" refreshingSpinner="circles">
        </ion-refresher-content>
    </ion-refresher>


    <div *ngIf="!this.cache?.isLoading">

        <div *ngIf="this.accountCache?.objects[0] != null">
            <ion-item>
                <ion-label>{{ 'Available Balance' | translate }} : ₹ {{this.accountCache?.objects[0]?.balance}}
                </ion-label>
                <ion-button (click)="addTransactionLog()">{{ 'Add Transaction' | translate }}</ion-button>
            </ion-item>

            <ion-item>
                <ion-label>{{ 'UPI Id' | translate }} : </ion-label>
                <ion-input [(ngModel)]="this.accountCache?.objects[0].upiId" type="upi" name="upi" readonly></ion-input>
                <ion-button (click)="updateUpiId()">{{ 'Update UPI Id' | translate }}</ion-button>
            </ion-item>
            <ion-progress-bar *ngIf="updateUpiIdInProgress" type="indeterminate"></ion-progress-bar>
        </div>

        <ion-grid>
        <ion-row>
            <ion-col>
         <ion-label>{{ 'Amount' | translate }}</ion-label>
         </ion-col>
         <ion-col>
        <ion-label>{{ 'Title' | translate }}</ion-label>
        </ion-col>
        <ion-col>
         <ion-label>{{ 'Created Date' | translate }}</ion-label>
         </ion-col>
        </ion-row>
            <ion-row *ngFor="let transactionLog of this.cache?.objects; index as i" [routerLink]="['/society/accounting/transactions/update-transaction',transactionLog.id]">
                <ion-col>
                    <ion-icon color="success" *ngIf="transactionLog.payment.transactionType === 'Credit'"
                        name="add-circle-outline">
                    </ion-icon>
                    <ion-icon color="danger" *ngIf="transactionLog.payment.transactionType === 'Debit'"
                        name="remove-circle-outline">
                    </ion-icon>
                    <ion-label>
                        ₹ {{transactionLog.payment.amount}}
                    </ion-label>
                </ion-col>
                <ion-col>
                    <ion-label>
                        {{transactionLog.payment.name}}
                    </ion-label>
                </ion-col>
                <ion-col>
                    <ion-label>
                        {{getLocalTime(transactionLog.payment.createdOn) | date:'medium'}}
                    </ion-label>
                </ion-col>
            </ion-row>
        </ion-grid>
        <ion-card *ngIf="!this.cache?.isLoading && this.cache?.objects.length==0">
            <ion-item>
                <ion-label>{{ 'No records found!!!' | translate }}</ion-label>
            </ion-item>
        </ion-card>

        <ion-infinite-scroll threshold="100px" (ionInfinite)="loadNext($event)">
            <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="Loading ...">
            </ion-infinite-scroll-content>
        </ion-infinite-scroll>
    </div>

    <ion-card *ngIf="this.cache?.isLoading && this.cache?.objects.length==0">
        <ion-card-header>
            <ion-card-title>
                <ion-skeleton-text animated></ion-skeleton-text>
            </ion-card-title>
            <ion-card-subtitle>
                <ion-skeleton-text animated></ion-skeleton-text>
            </ion-card-subtitle>
        </ion-card-header>

        <ion-card-content>
            <ion-item>
                <ion-label>
                    <ion-skeleton-text animated></ion-skeleton-text>
                </ion-label>
            </ion-item>
            <div>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
            </div>
        </ion-card-content>
    </ion-card>
</ion-content>